/*
 * Least Cost Routing plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#include "lcrcfg.h"

cLcrConfig lcrConfig;

cLcrConfig::cLcrConfig(void)
{
  hidemenu              = 0;
  theme                 = 0;
  preferredEntry        = 0;
#if VDRVERSNUM >= 10330
  otherDisplays         = 1;
#else
  otherDisplays         = 0;
#endif
  highlightEntry        = 0;
  logoFrame             = 0;
  
  destination[1]        = 0;
  destination[2]        = 1;
  destination[3]        = 2;
  destination[4]        = 3;
  destination[5]        = 4;
  destination[6]        = 5;
  destination[7]        = 6;
  destination[8]        = 7;
  destination[9]        = 8;
  destination[0]        = 9;

#ifdef LCR_NTSC
  osdheight             = 420;
  osdoffsetY            = 220;
#else
  osdheight             = 480;
  osdoffsetY            = 280;
#endif
  osdoffsetX            = 0;
  zoomIn                = 1;
  updateinterval        = 1;
}

const cLcrTheme lcrTheme[eLcrThemeMaxNumber] =
{
  {
    // eLcrThemeClassic
    0x7F000000, // clrBackground
    0xFFFCFCFC, // clrTitleBackground
    0xFF000000, // clrTitleText
    0xFFFCC024, // clrActiveText
//    0xFFFCFCFC, // clrInactiveText // changed, since nearly white on white cannot be read ;-)
    0xFF000000, // clrInactiveText
    0xFFFC1414, // clrRed
    0xFFFCC024, // clrYellow
    0xFF24FC24, // clrGreen
  },
  {
    // eLcrThemeElchi
    0xC8000066, // clrBackground
    0xC833AAEE, // clrTitleBackground
    0xFF000000, // clrTitleText
    0xFFCCBB22, // clrActiveText
    0xFFFFFFFF, // clrInactiveText
    0xFFFF0000, // clrRed
    0xFFFFEE00, // clrYellow
    0xFF33CC33, // clrGreen
  },
  {
    // eLcrThemeDeepBlue
    0xC80C0C0C, // clrBackground
    0xC832557A, // clrTitleBackground
    0xFF000000, // clrTitleText
    0xFFCE7B00, // clrActiveText
    0xFF9A9A9A, // clrInactiveText
    0xFF992900, // clrRed
    0xFFCE7B00, // clrYellow
    0xFF336600, // clrGreen
  },
  {
    // eLcrThemeMoronimo
    0xDF294A6B, // clrBackground
    0xDF3E5578, // clrTitleBackground
    0xFF9BBAD7, // clrTitleText
    0xFFCE7B00, // clrActiveText
    0xFF9A9A9A, // clrInactiveText
    0xFF992900, // clrRed
    0xFFCE7B00, // clrYellow
    0xFF336600, // clrGreen
  },
};

